
Allied Telesis FS750/52 Managed Fast Ethernet (10/100) 1U Grey
Model FS750/52Part no. AT-FS750/52EAN 767035204024
71 specifications
- Memory128 MB
- Type1U
- Weight3 kg
- ColourGrey
- Switch typeManaged
- Basic switching RJ-45 Ethernet ports quantity50
Overview
- Memory
- 128 MB
- Type
- 1U
- Weight
- 3 kg
- Colour
- Grey
- Switch type
- Managed
- Basic switching RJ-45 Ethernet ports quantity
- 50
- Brand
- Allied Telesis
- Category
- Network Switch
- Model
- FS750/52
- Part number
- AT-FS750/52
- EAN / UPC
- 767035204024
- Also known as
- Allied Telesis FS750/52 Managed Fast Ethernet (10/100) 1U Grey
Specifications
71 specifications in 15 groups
Management features
| Specification | Value |
|---|---|
| Switch type | Managed |
| Quality of Service (QoS) support | Yes |
| Web-based management | Yes |
| System event log | Yes |
| Public MIB | RFC 1213 MIB-II, RFC 1643 Ethernet MIB, RFC 1493 Bridge MIB, RFC 2131 DHCP client, Private Enterprise MIB |
Ports & interfaces
| Specification | Value |
|---|---|
| Basic switching RJ-45 Ethernet ports quantity | 50 |
| Basic switching RJ-45 Ethernet ports type | Fast Ethernet (10/100) |
| Fast Ethernet (copper) ports quantity | 48 |
| Gigabit Ethernet (copper) ports quantity | 2 |
| Installed SFP modules quantity | 0 |
| Installed SFP+ modules quantity | 0 |
| Combo SFP ports quantity | 2 |
| Fiber optic connector | SFP |
Network
| Specification | Value |
|---|---|
| Networking standards | IEEE 802.1D, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3, IEEE 802.3ad, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z |
| 10G support | No |
| Copper ethernet cabling technology | 10BASE-T, 100BASE-TX, 100BASE-T, 1000BASE-T |
| Port mirroring | Yes |
| Broadcast storm control | Yes |
| Flow control support | Yes |
| Head-of-line (HOL) blocking | Yes |
| Link aggregation | Yes |
| Rate limiting | Yes |
| Spanning tree protocol | Yes |
| VLAN support | Yes |
| Virtual LAN features | Port-based VLAN, Tagged VLAN, VLAN Identifier ( VLAN ID) |
| Number of VLANs | 256 |
Data transmission
| Specification | Value |
|---|---|
| MAC address table | 16000 entries |
| Switching capacity | 17.6 Gbit/s |
| Forwarding rate | 13.1 Mpps |
| Number of queues | 4 |
| Jumbo frames support | Yes |
| Jumbo frames | 10000 |
| Packet buffer memory | 4.1 MB |
Security
| Specification | Value |
|---|---|
| DHCP features | DHCP client |
| Access Control List (ACL) | Yes |
| Access Control List (ACL) rules | 200 |
| IGMP snooping | Yes |
| Authentication | MAC-based authentication, Port-based authentication |
| Authentication type | RADIUS |
| MAC address filtering | Yes |
| Password protection | Yes |
| Security algorithms | 802.1x RADIUS, SNMPv3 |
Multicast features
| Specification | Value |
|---|---|
| Multicast support | Yes |
| Number of multicast groups filtered | 256 |
Protocols
| Specification | Value |
|---|---|
| Management protocols | SNMPv1/v2c/v3 |
Design
| Specification | Value |
|---|---|
| Rack mounting | Yes |
| Form factor | 1U |
| Product colour | Grey |
| LED indicators | Yes |
| Number of fans | 0 fan(s) |
| Wall mountable | Yes |
Performance
| Specification | Value |
|---|---|
| Memory type | DRAM |
| Internal memory | 128 MB |
| Flash memory | 16 MB |
| Firmware upgradeable | Yes |
Power
| Specification | Value |
|---|---|
| Power supply included | Yes |
| AC input voltage | 100 - 240 V |
| AC input frequency | 50 - 60 Hz |
| Power consumption (max) | 13.25 W |
Power over Ethernet (PoE)
| Specification | Value |
|---|---|
| Power over Ethernet (PoE) | No |
Operational conditions
| Specification | Value |
|---|---|
| Operating temperature (T-T) | 0 - 40 °C |
| Storage temperature (T-T) | -25 - 70 °C |
| Operating relative humidity (H-H) | 5 - 90% |
| Storage relative humidity (H-H) | 5 - 95% |
Weight & dimensions
| Specification | Value |
|---|---|
| Width | 440 mm |
| Depth | 250 mm |
| Height | 44 mm |
| Weight | 3 kg |
Packaging content
| Specification | Value |
|---|---|
| Manual | Yes |
| Rack mount kit | Yes |
Certificates
| Specification | Value |
|---|---|
| Certification | UL60950-1 2nd edition (UL) FCC/EN55022/CISPR 22 Class A VCCI Class A C-Tick EN60950 (TUV) EN55024 CE Mark CSA / cUL |
What people say
Reviews & ratings
Allied Telesis FS750/52 Managed Fast Ethernet (10/100) 1U Grey
No reviews yet
Be the first to tell others how Allied Telesis FS750/52 Managed Fast Ethernet (10/100) 1U Grey works for you.
Write the first review- Every rating countsLow ratings are never hidden, removed or pushed down.
- Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
- Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.
Compare Allied Telesis FS750/52 Managed Fast Ethernet (10/100) 1U Grey
All network switch comparisons- Allied Telesis FS750/52 Managed Fast Ethernet (10/100) 1U Grey vsAllied Telesis GS970M Managed L3 Gigabit Ethernet (10/100/1000) 1U GreyCompare specs
- Allied Telesis FS750/52 Managed Fast Ethernet (10/100) 1U Grey vsAllied Telesis AT-GS920/16-30 network switch Unmanaged Gigabit Ethernet (10/100/1000) 1U GreyCompare specs
- Allied Telesis FS750/52 Managed Fast Ethernet (10/100) 1U Grey vsAllied Telesis FS750/20 Managed Fast Ethernet (10/100) 1U GreyCompare specs
- Allied Telesis FS750/52 Managed Fast Ethernet (10/100) 1U Grey vsAllied Telesis AT-GS910/8 network switch Unmanaged Gigabit Ethernet (10/100/1000) 1U GreyCompare specs
- Allied Telesis FS750/52 Managed Fast Ethernet (10/100) 1U Grey vsNETGEAR M4300-24X24F Managed L2/L3/L4Compare specs
- Allied Telesis FS750/52 Managed Fast Ethernet (10/100) 1U Grey vsNETGEAR M4300-52G-PoE+ Managed L2/L3/L4 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U BlackCompare specs
- Allied Telesis FS750/52 Managed Fast Ethernet (10/100) 1U Grey vsNETGEAR M4300-8X8F Managed L3Compare specs
- Allied Telesis FS750/52 Managed Fast Ethernet (10/100) 1U Grey vsNETGEAR XS748T Managed L2+/L3Compare specs
Similar products
All network switchesD-Link
DGS-3130 Series Gigabit Layer 3 Stackable Managed Switches
Model DGS-3130-30PS
- Noise
- 53.4 dB
- Weight
- 4.66 kg
- Colour
- Black, Grey
D-Link
48-port Layer 3 Stackable Managed Gigabit Switch including
Model DGS-3630-52TC
- Noise
- 53.9 dB
- Type
- 1U
- Weight
- 4.04 kg
D-Link
24-Port L3 Stackable Managed Gigabit Switch including
Model DGS-3630-28TC
- Noise
- 52.7 dB
- Type
- 1U
- Weight
- 3.74 kg
LevelOne
18-Port L2 Plus Managed Industrial PoE Switch
Model IGP-1871
- Memory
- 512 MB
- Weight
- 1.55 kg
- Colour
- Black
D-Link
24-Port SFP L3 Stackable Managed Gigabit Switch including
Model DGS-3630-28SC
- Noise
- 56 dB
- Type
- 1U
- Weight
- 3.79 kg
D-Link
28-Port Gigabit PoE+ Smart Managed Switch including
Model DGS-1210-28MP
- Memory
- 128 MB
- Noise
- 52.4 dB
- Type
- 1U
NETGEAR
M4350-36X4V network switch Managed L3
Model M4350-36X4V
- Processor
- ARM Cortex-A57
- Memory
- 4096 MB
- Noise
- 54 dB



















